Resource

AI Agent Task

Manage tasks assigned to AI agents. Tasks can be scheduled, monitored, and tracked for completion.

The AI Agent Task Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    ProjectRequired
    Description

    Project this task belongs to.

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of the project this task belongs to.

  • Name
    name
    Type
    Very Long TextRequired
    Description

    Name of the AI Agent Task.

  • Name
    description
    Type
    Very Long TextRequired
    Description

    Description of the AI Agent Task.

  • Name
    aiAgent
    Type
    AI Agent
    Description

    AI Agent assigned to this task.

  • Name
    aiAgentId
    Type
    Object ID
    Description

    ID of the AI Agent assigned to this task.

  • Name
    taskType
    Type
    TextRequired
    Description

    Type of task to be performed by the AI agent.

  • Name
    status
    Type
    TextRequired
    Description

    Current status of the task.

  • Name
    statusMessage
    Type
    Long Text
    Description

    A message describing the current status or result of the task.

  • Name
    metadata
    Type
    JSON
    Description

    Task-specific metadata containing context for the AI agent. Structure varies based on task type.

  • Name
    startedAt
    Type
    Date
    Description

    When the task started execution.

  • Name
    completedAt
    Type
    Date
    Description

    When the task completed execution.

  • Name
    createdByUser
    Type
    User
    Description

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    taskNumber
    Type
    NumberRequired
    Description

    A unique, sequential number assigned to each AI Agent Task within a project.

GETorPOST/api/ai-agent-task/get-list

List

This endpoint allows you to retrieve a paginated list of all your AI Agent Task. By default, a maximum of ten AI Agent Task are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/ai-agent-task/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "description": true,
    "name": true,
    "project": true,
    "projectId": true,
    "status": true
  },
  "query": {
    "description": "Example description"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37695450-28fe-11f1-b591-3fdcef396aba",
      "description": "Example description",
      "name": "Example name",
      "project": "Example project",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    },
    {
      "_id": "37697b60-28fe-11f1-b591-3fdcef396aba",
      "description": "Example description",
      "name": "Example name",
      "project": "Example project",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    },
    {
      "_id": "37697b61-28fe-11f1-b591-3fdcef396aba",
      "description": "Example description",
      "name": "Example name",
      "project": "Example project",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    }
  ]
}
GETorPOST/api/ai-agent-task/:id/get-item

Get item by ID

This endpoint allows you to retrieve AI Agent Task by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/ai-agent-task/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "description": true,
    "name": true,
    "project": true,
    "projectId": true,
    "status": true
  }
}

Response

{
  "_id": "37695450-28fe-11f1-b591-3fdcef396aba",
  "description": "Example description",
  "name": "Example name",
  "project": "Example project",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Example status"
}
POST/api/ai-agent-task/count

Count

This endpoint allows you to retrieve the count of all your AI Agent Task.

Optional Request Body

Count Request

POST
/api/ai-agent-task/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "description": "Example description"
  }
}

Response

{
  "count": 107
}
POST/api/ai-agent-task

Create AI Agent Task

This endpoint allows you to create a new object.

Create Request

POST
/api/ai-agent-task
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "description": "Example description",
    "name": "Example name",
    "project": "Example project",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "status": "Example status"
  }
}

Response

{
  "_id": "37695450-28fe-11f1-b591-3fdcef396aba",
  "description": "Example description",
  "name": "Example name",
  "project": "Example project",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Example status"
}
PUT/api/ai-agent-task/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-task/:id/update-item
GET/api/ai-agent-task/:id/update-item

Update Request

PUT
/api/ai-agent-task/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "description": "Example description",
    "name": "Example name",
    "status": "Example status"
  }
}

Response

{}
DELETE/api/ai-agent-task/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-task/:id/delete-item
GET/api/ai-agent-task/:id/delete-item

Delete Request

DELETE
/api/ai-agent-task/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read AI Agent Task

  • Project Owner
  • Project Admin
  • Project Member
  • Read AI Agent Task
  • Read All Project Resources

Create Permissions

Required to create AI Agent Task

  • Project Owner
  • Project Admin
  • Project Member
  • Create AI Agent Task

Update Permissions

Required to update AI Agent Task

  • Project Owner
  • Project Admin
  • Project Member
  • Edit AI Agent Task

Delete Permissions

Required to delete AI Agent Task

  • Project Owner
  • Project Admin
  • Project Member
  • Delete AI Agent Task